安装指南-进阶

安装 GeoPyTool 的复杂模式

GeoPyTool 可以在 Python 作为一个模块(module)来安装。

1. MacOS

1.1 安装 Brew 和 Python3

访问 brew.sh网站 安装 brew。

安装完了 Brew 之后用下面的命令来安装 Python3:

brew 安装 Python3

1.2 安装依赖包

安装 Python3 之后运行下面的命令来安装依赖包,建议一条一条来运行安装:

pip3 install cython
pip3 install numpy
pip3 install pandas
pip3 install xlrd
pip3 install matplotlib
pip3 install BeautifulSoup4
pip3 install pyqt5
pip3 install scipy
pip3 install scikit-learn
pip3 install sympy
pip3 install requests
pip3 install pyopengl
pip3 install pyqtgraph

或者也可以试试放到一条来运行安装:

pip3 install cython numpy scipy matplotlib sympy pandas xlrd pyopengl BeautifulSoup4 pyqt5 scikit-learn requests pyqtgraph

1.3 安装 GeoPyTool

上面的依赖包都安装完毕之后,运行下面的命令来安装 GeoPyTool:

pip3 install geopytool

2. Linux

这里仅仅以 Ubuntu 16.04.4 为例。

2.1 更新系统到最新

打开终端(Terminal),运行下面的命令来更新系统到最新:

apt update
apt upgrade

2.2 安装 Python3 和 Pip3

更新系统完毕之后,运行下面的两条命令来安装 Python3 和 Pip3:

apt 安装 Python3
apt 安装 Python3-pip

2.3 安装依赖包

逐条运行下面的命令来安装依赖包:

pip3 install cython
pip3 install numpy
pip3 install pandas
pip3 install xlrd
pip3 install matplotlib
pip3 install BeautifulSoup4
pip3 install pyqt5
pip3 install scipy
pip3 install scikit-learn
pip3 install sympy
pip3 install requests
pip3 install pyopengl
pip3 install pyqtgraph

或者也可以试试放到一条来运行安装:

pip3 install cython numpy scipy matplotlib sympy pandas xlrd pyopengl BeautifulSoup4 pyqt5 scikit-learn requests pyqtgraph

2.4 安装 GeoPyTool

上面的依赖包都安装完毕之后,运行下面的命令来安装 GeoPyTool:

pip3 install geopytool

3. Windows

Windows 用户安装起来稍微麻烦,首先是安装 Python 3.6 或者更新的版本,可以从Python 官方网站 来下载安装包。

3.1 安装必备补丁

Microsoft Visual C++ Build Tools 需要先安装,因为后面的依赖包之一的 scikit-learn 用到了这个。

Windows 7 系统必须安装的内容

Windows 7 用户必须安装 SP1 of Windows,然后安装 KB2999226 PatchVisual C++ Redistributable 2015

Windows 7 的 SP1 补丁包可以在 微软官网这里来下载。

KB2999226 PatchVisual C++ Redistributable 2015 的下载链接 在这里: 32 bit Windows7 64 bit WInodws7

注意选择对应自己系统的版本。

如果你的 Windows7 系统没有安装 SP1等补丁包,就可能遇到 api-ms-win-crt 这样的报错信息,所以请一定安装上面的补丁。如果你遇到了api-ms-win-crt这类错误,就检查一下是不是没安装补丁包。

3.2 安装 Python

补丁包都安装好了之后,就可以下载 来安装 Python 3.6.4 或者更新的版本,去Python 官网下载安装包。

注意

在安装 Python 的时候,一定要选中下图这红框中的选项,保证把 Python 添加到系统环境变量 Path:

3.3 安装依赖包

安装好了 Python3 之后,在终端(Windows 系统的终端就是 CMD 或者 Powershell)中运行下列命令来安装依赖包:

pip3 install cython
pip3 install numpy
pip3 install pandas
pip3 install xlrd
pip3 install matplotlib
pip3 install BeautifulSoup4
pip3 install pyqt5
pip3 install scipy
pip3 install scikit-learn
pip3 install sympy
pip3 install requests
pip3 install pyopengl
pip3 install pyqtgraph

或者也可以试试放到一条来运行安装:

pip3 install cython numpy scipy matplotlib sympy pandas xlrd pyopengl BeautifulSoup4 pyqt5 scikit-learn requests pyqtgraph

3.4 安装 GeoPyTool

上面的依赖包都安装完毕之后,运行下面的命令来安装 GeoPyTool:

pip3 install geopytool

4. 运行 GeoPyTool

如果上面的安装过程都没有报错,就是成功了,就可以运行下面的命令来运行 GeoPyTool:

python3 -c "import geopytool;geopytool.main()"

5. 更新已经安装的 GeoPyTool

如果已经按照上面的方法安装完毕了 GeoPyTool,可以用下面的命令来更新到最新版本:

pip3 install geopytool --update --no-cache-dir

建议在每次运行之前都可以升级更新一下。

Category
Tagcloud
Doc English Chinese 中文 文档 Support